org.apache.ivy.osgi.filter

## Enum CompareFilter.Operator

- java.lang.Object
- - java.lang.Enum<CompareFilter.Operator>
  - - org.apache.ivy.osgi.filter.CompareFilter.Operator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CompareFilter.Operator>

Enclosing class:
  CompareFilter

    public static enum CompareFilter.Operator
    extends java.lang.Enum<CompareFilter.Operator>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EQUALS`
`GREATER_OR_EQUAL`
`GREATER_THAN`
`LOWER_OR_EQUAL`
`LOWER_THAN`

### Method Summary

Methods
`java.lang.String` `toString()`
`static CompareFilter.Operator` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CompareFilter.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EQUALS

    public static final CompareFilter.Operator EQUALS

#### LOWER_THAN

    public static final CompareFilter.Operator LOWER_THAN

#### LOWER_OR_EQUAL

    public static final CompareFilter.Operator LOWER_OR_EQUAL

#### GREATER_THAN

    public static final CompareFilter.Operator GREATER_THAN

#### GREATER_OR_EQUAL

    public static final CompareFilter.Operator GREATER_OR_EQUAL

### Method Detail

#### values

    public static CompareFilter.Operator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompareFilter.Operator c : CompareFilter.Operator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompareFilter.Operator valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<CompareFilter.Operator>`